* {
    margin: 0;
    padding: 0;
}

body {
    height: 100vh;
    overflow-x: hidden;
    overflow-y: hidden;

    background-image: linear-gradient(180deg, rgba(35, 45, 50, 0.9), rgba(35, 45, 5, 0.175)), url("../bg.gif");
    background-attachment: fixed;
    background-size: cover;
}

#content {
    width: 100%;
    max-height: fit-content;
    height: calc(100% - 40px);
    overflow-y: scroll;
    overflow-x: hidden;
}

#content #contentContainer {
    margin: auto;
    margin-top: 50px;
    min-height: 300px;
    height: fit-content;
    width: 75%;
    max-width: 1200px;

    background-color: rgba(25, 25, 25, 0.75);
    border-radius: 10px;

    padding: 10px;

    opacity: 0;
    transform: translateX(200vw);

    margin-bottom: 100px;
}

#content #contentContainer.onLoadTransition {
    transition: transform .75s, opacity 2s;

    opacity: 1;
    transform: translateX(0%);
}

#content #contentContainer h1 {
    font-family: Arial, Helvetica, sans-serif;

    padding: 5px;
    color: white;
}

#content #contentContainer h2 {
    font-family: Arial, Helvetica, sans-serif;

    padding: 5px;
    color: white;
}

#content #contentContainer p {
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    font-weight: 400;
    font-size: large;

    color: white;
    padding: 5px;
}

#content #contentContainer hr {
    border-color: gray;
    width: 100%;
    margin: 0;
    padding: 0;
}

#content #contentContainer .txtCenter {
    text-align: center;
}

#content #contentContainer .topSpaced {
    margin-top: 10px;
}

#content #contentContainer .rightSpaced {
    margin-left: 10px;
}

#content #contentContainer .rightSpaced2 {
    margin-left: 15px;
}

#content #contentContainer a.sectionRedirect {
    color: rgb(170, 200, 20);
    font-weight: 500;
    transition: 0.15s color;
}

#content #contentContainer a.sectionRedirect:hover {
    color: rgba(100, 200, 20, 0.75);
}

#content #contentContainer a.sectionRedirect:active {
    color: rgba(150, 180, 0, 0.75);
}



#header {
    background-color: rgb(29, 35, 37);
    width: 100%;
    height: 40px;

    border-bottom: 1px solid rgb(200, 200, 200);

}

#headerCover{
    height: 0px;
    width: 0px;
}

#headerMain {
    width: 65%;
    height: 100%;
    margin: auto;
    border-left: 2px solid rgb(200, 200, 200);
    border-right: 2px solid rgb(200, 200, 200);
}

#header #headerMain #headerContent {
    height: 100%;
    margin: auto;

    display: flex;
    flex-direction: row;

    width: fit-content;

}

.navBtn {
    height: 100%;
    border-left: 1px solid rgb(200, 200, 200);
    border-right: 1px solid rgb(200, 200, 200);
    border-bottom: 1px solid rgb(200, 200, 200);

    margin-left: 10px;
    margin-right: 10px;

    text-decoration: none;
    font-family: Arial, Helvetica, sans-serif;
    font-weight: 500;
    color: rgb(220, 220, 220);

    display: flex;

    transition: 0.5s;
}

.navBtn:hover {
    background-color: black;
    padding-left: 10px;
    padding-right: 10px;
    padding-top: 5px;
    padding-bottom: 5px;

    background-color: rgb(14, 17, 18);

    color: rgb(180, 180, 180);
    border-left: 1px solid white;
    border-right: 1px solid white;
    border-bottom: 1px solid white;

    border-radius: 5px;

    margin-left: 25px;
    margin-right: 25px;
}

.navBtnContent {
    margin: auto;
    height: fit-content;
    padding: 10px;
}



@media only screen and (max-width: 1200px){
    #headerMain{
        /* background-color: green; */
        width: 100%;
        border: 0;
    }
}

@media only screen and (max-width: 800px) {
    .burger{
        aspect-ratio: 1/1;
        margin-top: auto;
        margin-bottom: auto;
        margin-right: 10px;
        margin-left: auto;
        height: 80%;
        display: flex;
        flex-direction: column;
    }

    .burger .line{
        width: 100%;
        margin: auto;
        background-color: rgb(220,220,220);
        height: 5px;
        border-radius: 50px;
    }

    #headerCover{
        top: 0px;
        display: flex;
        position: absolute;
        height: 40px;
        background-color: rgb(22, 26, 27);
        width: 100%;

        border-bottom: 1px solid rgb(200, 200, 200);
    }

    #headerMain{
        display: flex;

        height: fit-content;
    }

    #header.extended{
        height: 300px;
    }

    #header {
        background-color: rgb(29, 35, 37);
        height: 40px;
        transition: 1s height;
    }

    #header.extended > #headerMain #headerContent{
        transform: translateY(0%);
    }

    #header #headerMain #headerContent{
        margin-top: 50px;
        flex-direction: column;
        transform: translateY(calc(-100% - 50px));
        width: 80%;
    }

    #header #headerMain #headerContent.under800{
        transition: 1s transform;
    }

    #header #headerMain #headerContent .navBtn{
        margin-bottom: 10px;
        border: 1px solid rgb(200, 200, 200);
        
    }
}